#pragma once

#include <memory>
#include <conio.h>
#include "demo_base.h"
#include "common.hpp"
#include "shader.hpp"
#include "tga.h"
#include "transformation_node.h"
#include "geometry_node.h"
#include "object_node.h"

#include "fmod.hpp"
#include "fmod_errors.h"


class music_test 
{
public:
	music_test(void);
	~music_test(void);

	bool init();

protected:

	FMOD::System *system;
	FMOD::Sound *sound;
	FMOD::Channel *channel;
	FMOD_RESULT result;
	int key;
	unsigned int version;


	void cleanup();
	void errcheck(FMOD_RESULT result);
	
};